%global brand icaro
%global wwwdir /var/www/html/docs

Name:		publican-icaro
Summary:	Common documentation files for %{brand}
Version:	0.1
Release:	0%{?dist}
License:	WTFPL

Buildarch:	noarch
Source:		https://williamjmorenor.fedorapeople.org/%{name}-%{version}.tar.gz
Requires:	publican
BuildRequires:	publican
URL:		http://roboticaro.org/

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%package web
Summary:        Web styles for the %{brand} brand
Group:          Documentation
Requires:	publican

%description web
Web Site common files for the %{brand} brand.

%prep
%setup -q 

%build
publican build --formats=xml --langs=all --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
publican install_brand --path=$RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
mkdir -p -m755 $RPM_BUILD_ROOT/%{wwwdir}/%{brand}
publican install_brand --web --path=$RPM_BUILD_ROOT/%{wwwdir}/%{brand}

%files
%doc README
%doc COPYING
%{_datadir}/publican/Common_Content/%{brand}

%files web
%defattr(-,root,root,-)
%{wwwdir}/%{brand}

%changelog
* Mon Dec 22 2014  William José Moreno Reyes <williamjmorenor at gmail dot com> 0.1
- Created Brand

